{
	"processors": [
		{
			"input_block": "minecraft:stone_bricks",
			"output_block": "minecraft:mossy_stone_bricks",
			"processor_type": "repurposed_structures:noise_replace_with_properties_processor",
			"threshold": 0.4000000059604645,
			"xz_scale": 0.20000000298023224,
			"y_scale": 0.20000000298023224
		},
		{
			"input_block": "minecraft:stone_bricks",
			"output_block": "minecraft:cracked_stone_bricks",
			"processor_type": "repurposed_structures:noise_replace_with_properties_processor",
			"threshold": 0.6000000238418579,
			"xz_scale": 0.20000000298023224,
			"y_scale": 0.20000000298023224
		},
		{
			"input_block": "minecraft:stone_brick_stairs",
			"output_block": "minecraft:mossy_stone_brick_stairs",
			"processor_type": "repurposed_structures:noise_replace_with_properties_processor",
			"threshold": 0.3499999940395355,
			"xz_scale": 0.20000000298023224,
			"y_scale": 0.20000000298023224
		},
		{
			"input_block": "minecraft:chiseled_stone_bricks",
			"output_block": "minecraft:cracked_stone_bricks",
			"processor_type": "repurposed_structures:noise_replace_with_properties_processor",
			"threshold": 0.33000001311302185,
			"xz_scale": 0.20000000298023224,
			"y_scale": 0.20000000298023224
		},
		{
			"processor_type": "minecraft:rule",
			"rules": [
				{
					"input_predicate": {
						"block": "minecraft:mossy_stone_bricks",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.08500000089406967
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:moss_block"
					}
				},
				{
					"input_predicate": {
						"block": "minecraft:stone_bricks",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.05000000074505806
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:mossy_stone_bricks"
					}
				},
				{
					"input_predicate": {
						"block": "minecraft:stone_bricks",
						"predicate_type": "minecraft:random_block_match",
						"probability": 0.05000000074505806
					},
					"location_predicate": {
						"predicate_type": "minecraft:always_true"
					},
					"output_state": {
						"Name": "minecraft:cracked_stone_bricks"
					}
				}
			]
		},
		{
			"processor_type": "repurposed_structures:structure_void_processor"
		}
	]
}